Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.callback
Interface CallbackStoreMBean

All Superinterfaces:
  SerializableStore

All Known Implementing Classes:
  CallbackStore

    public interface CallbackStoreMBean

extends SerializableStore

The MBean interface to the CallbackStore implementation.

Author:
  Tom Elrod

Method Summary
`java.lang.String` | `getStoreFilePath()` Gets the file path for the directory where the objects will be stored.
`java.lang.String` | `getStoreFileSuffix()` Gets the file suffix for each of the files that objects will be persisted to.
`void` | `setStoreFilePath(java.lang.String filePath)` Sets teh file path for the directory where the objects will be stored.
`void` | `setStoreFileSuffix(java.lang.String fileSuffix)` Sets the file suffix for each of the files that objects will be persisted to.

Methods inherited from interface org.jboss.remoting.SerializableStore
`add, create, destroy, getNext, getPurgeOnShutdown, purgeFiles, setConfig, setPurgeOnShutdown, size, start, stop`

Method Detail

### getStoreFilePath

    java.lang.String getStoreFilePath()

  Gets the file path for the directory where the objects will be stored.

  Returns:

### setStoreFilePath

    void setStoreFilePath(java.lang.String filePath)

  Sets teh file path for the directory where the objects will be stored.

  Parameters:
    `filePath` -

### getStoreFileSuffix

    java.lang.String getStoreFileSuffix()

  Gets the file suffix for each of the files that objects will be persisted to.

  Returns:

### setStoreFileSuffix

    void setStoreFileSuffix(java.lang.String fileSuffix)

  Sets the file suffix for each of the files that objects will be persisted to.

  Parameters:
    `fileSuffix` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.